name = "MFP DS, RoG, SW compatible"
description = "Adds some more weapons and a new set of armor. Somewhat of an alpha - so expect bugs. Please report if you see one."
version = "SW 0.92 Test run"
author = "Madman666"

forumthread = "http://steamcommunity.com/sharedfiles/filedetails/?id=172090600"

api_version = 6

dont_starve_compatible = true
reign_of_giants_compatible = true
shipwrecked_compatible = true

icon_atlas = "MFPicon.xml"
icon = "MFPicon.tex"

configuration_options =
{

--Gold Sword settings

	{
		name = "goldswordswitch",
		label = "Gold Sword Enabled",
		options =
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		},
		default = true,
	},	

		{
		name = "gold_recipe_gems",
		label = "Recipe Red Gems",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
		},
		default = 1,
	},	
	
					{
		name = "gold_recipe_nugget",
		label = "Recipe Gold Nuggets",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
		 {description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "20", data = 20},
		},
		default = 5,
	},	

			{
		name = "gold_recipe_flint",
		label = "Recipe Flint",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
		 {description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "20", data = 20},
		},
		default = 2,
	},	

	{
		name = "goldsworddmg",
		label = "Gold Sword DMG",
		options =
		{
			{description = "34 (Spear)", data = 34},
			{description = "42 (Battle Spear)", data = 42},
			{description = "47", data = 47},
			{description = "51 (Tentacle Spike)", data = 51},
			{description = "56", data = 56},
			{description = "59 (Thulecite club)", data = 59},
			{description = "68 (Dark Sword)", data = 68},
			{description = "75", data = 75},
			{description = "80", data = 80},
			{description = "85", data = 85},
			{description = "90", data = 90},
			{description = "95", data = 95},
			{description = "100", data = 100},
		},
		default = 75,
	},	
	
		{
		name = "goldsworduses",
		label = "Gold Sword Uses",
		options =
		{
			{description = "20", data = 20},
			{description = "30", data = 30},
			{description = "40", data = 40},
			{description = "50", data = 50},
			{description = "60", data = 60},
			{description = "70", data = 70},
			{description = "80", data = 80},
			{description = "90", data = 90},
			{description = "100", data = 100},
			{description = "110", data = 110},
			{description = "120", data = 120},
			{description = "130", data = 130},
			{description = "140", data = 140},
			{description = "150", data = 150},
			{description = "160", data = 160},
			{description = "170", data = 170},
			{description = "180", data = 180},
			{description = "190", data = 190},
			{description = "200", data = 200},
			{description = "210", data = 210},
			{description = "220", data = 220},
			{description = "230", data = 230},
			{description = "240", data = 240},
			{description = "250", data = 250},
			{description = "260", data = 260},
			{description = "270", data = 270},
			{description = "280", data = 280},
			{description = "290", data = 290},
			{description = "300", data = 300},
		},
		default = 100,
	},	
	
--Gold Sword settings END
	
--Hound's Bite Mace settings

{
		name = "houndsbiteswitch",
		label = "Houndsbite Mace Enabled",
		options =
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		},
		default = true,
	},	

		{
		name = "houndsbite_recipe_tooth",
		label = "Recipe Teeth",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "10", data = 10},
		},
		default = 3,
	},	
	
			{
		name = "houndsbite_recipe_boards",
		label = "Recipe Boards",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
		 {description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
		},
		default = 1,
	},	
	
				{
		name = "houndsbite_recipe_rope",
		label = "Recipe Rope",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
		 {description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
		},
		default = 1,
	},	

	{
		name = "houndsbitedmg",
		label = "Houndsbite Mace DMG",
		options =
		{
			{description = "34 (Spear)", data = 34},
			{description = "42 (Battle Spear)", data = 42},
			{description = "47", data = 47},
			{description = "51 (Tentacle Spike)", data = 51},
			{description = "56", data = 56},
			{description = "59 (Thulecite club)", data = 59},
			{description = "68 (Dark Sword)", data = 68},
			{description = "75", data = 75},
			{description = "80", data = 80},
			{description = "85", data = 85},
			{description = "90", data = 90},
			{description = "95", data = 95},
			{description = "100", data = 100},
		},
		default = 51,
	},	
	
		{
		name = "houndsbiteuses",
		label = "Houndsbite Mace Uses",
		options =
		{
			{description = "20", data = 20},
			{description = "30", data = 30},
			{description = "40", data = 40},
			{description = "50", data = 50},
			{description = "60", data = 60},
			{description = "70", data = 70},
			{description = "80", data = 80},
			{description = "90", data = 90},
			{description = "100", data = 100},
			{description = "110", data = 110},
			{description = "120", data = 120},
			{description = "130", data = 130},
			{description = "140", data = 140},
			{description = "150", data = 150},
			{description = "160", data = 160},
			{description = "170", data = 170},
			{description = "180", data = 180},
			{description = "190", data = 190},
			{description = "200", data = 200},
			{description = "210", data = 210},
			{description = "220", data = 220},
			{description = "230", data = 230},
			{description = "240", data = 240},
			{description = "250", data = 250},
			{description = "260", data = 260},
			{description = "270", data = 270},
			{description = "280", data = 280},
			{description = "290", data = 290},
			{description = "300", data = 300},
		},
		default = 150,
	},	
	
--Hounds bite settings END
	
--Marble Blade settings

{
		name = "marbleswitch",
		label = "Marble Blade Enabled",
		options =
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		},
		default = true,
	},	

		{
		name = "marbleblade_recipe_marble",
		label = "Recipe Marble",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "11", data = 11},
			{description = "12", data = 12},
			{description = "13", data = 13},
			{description = "14", data = 14},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 6,
	},	
	
			{
		name = "marbleblade_recipe_purplegem",
		label = "Recipe Purple Gem",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
		 {description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
		},
		default = 1,
	},	
	
				{
		name = "marbleblade_recipe_goldnugget",
		label = "Recipe Gold Nuggets",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
		 {description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "20", data = 20},
		},
		default = 6,
	},	

	{
		name = "marblebladedmg",
		label = "Marble Blade DMG",
		options =
		{
			{description = "34 (Spear)", data = 34},
			{description = "42 (Battle Spear)", data = 42},
			{description = "47", data = 47},
			{description = "51 (Tentacle Spike)", data = 51},
			{description = "56", data = 56},
			{description = "59 (Thulecite club)", data = 59},
			{description = "68 (Dark Sword)", data = 68},
			{description = "75", data = 75},
			{description = "80", data = 80},
			{description = "85", data = 85},
			{description = "90", data = 90},
			{description = "95", data = 95},
			{description = "100", data = 100},
			{description = "110", data = 110},
			{description = "120", data = 120},
			{description = "130", data = 130},
			{description = "140", data = 140},
			{description = "150", data = 150},
			{description = "200", data = 200},
		},
		default = 100,
	},	
	
		{
		name = "marblebladeuses",
		label = "Marble Blade Uses",
		options =
		{
			{description = "20", data = 20},
			{description = "30", data = 30},
			{description = "40", data = 40},
			{description = "50", data = 50},
			{description = "60", data = 60},
			{description = "70", data = 70},
			{description = "80", data = 80},
			{description = "90", data = 90},
			{description = "100", data = 100},
			{description = "110", data = 110},
			{description = "120", data = 120},
			{description = "130", data = 130},
			{description = "140", data = 140},
			{description = "150", data = 150},
			{description = "160", data = 160},
			{description = "170", data = 170},
			{description = "180", data = 180},
			{description = "190", data = 190},
			{description = "200", data = 200},
			{description = "210", data = 210},
			{description = "220", data = 220},
			{description = "230", data = 230},
			{description = "240", data = 240},
			{description = "250", data = 250},
			{description = "260", data = 260},
			{description = "270", data = 270},
			{description = "280", data = 280},
			{description = "290", data = 290},
			{description = "300", data = 300},
			{description = "350", data = 350},
			{description = "400", data = 400},
		},
		default = 300,
	},	
	
		--Marble Blade settings END
	
			--StrongSword settings
	
	{
		name = "StrongSwordswitch",
		label = "Strongsword Enabled",
		options =
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		},
		default = true,
	},	

		{
		name = "strongsword_recipe_fuel",
		label = "Recipe Nighmare Fuel",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "11", data = 11},
			{description = "12", data = 12},
			{description = "13", data = 13},
			{description = "14", data = 14},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 7,
	},	

	{
		name = "strongsworddmg",
		label = "Strongsword DMG",
		options =
		{
			{description = "34 (Spear)", data = 34},
			{description = "42 (Battle Spear)", data = 42},
			{description = "47", data = 47},
			{description = "51 (Tentacle Spike)", data = 51},
			{description = "56", data = 56},
			{description = "59 (Thulecite club)", data = 59},
			{description = "68 (Dark Sword)", data = 68},
			{description = "75", data = 75},
			{description = "80", data = 80},
			{description = "85", data = 85},
			{description = "90", data = 90},
			{description = "95", data = 95},
			{description = "100", data = 100},
			{description = "110", data = 110},
			{description = "120", data = 120},
			{description = "130", data = 130},
			{description = "140", data = 140},
			{description = "150", data = 150},
			{description = "200", data = 200},
		},
		default = 68,
	},	
	
		{
		name = "strongsworduses",
		label = "Strongsowrd Uses",
		options =
		{
			{description = "20", data = 20},
			{description = "30", data = 30},
			{description = "40", data = 40},
			{description = "50", data = 50},
			{description = "60", data = 60},
			{description = "70", data = 70},
			{description = "80", data = 80},
			{description = "90", data = 90},
			{description = "100", data = 100},
			{description = "110", data = 110},
			{description = "120", data = 120},
			{description = "130", data = 130},
			{description = "140", data = 140},
			{description = "150", data = 150},
			{description = "160", data = 160},
			{description = "170", data = 170},
			{description = "180", data = 180},
			{description = "190", data = 190},
			{description = "200", data = 200},
			{description = "210", data = 210},
			{description = "220", data = 220},
			{description = "230", data = 230},
			{description = "240", data = 240},
			{description = "250", data = 250},
			{description = "260", data = 260},
			{description = "270", data = 270},
			{description = "280", data = 280},
			{description = "290", data = 290},
			{description = "300", data = 300},
			{description = "350", data = 350},
			{description = "400", data = 400},
		},
		default = 200,
	},	
	
				--StrongSword settings END
	
		  --Ice Blade settings
	
	{
		name = "icebladeswitch",
		label = "Ice Blade Enabled",
		options =
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		},
		default = true,
	},	

		{
		name = "iceblade_recipe_ice",
		label = "Recipe Ice",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 15,
	},	
	
					{
		name = "iceblade_recipe_doodads",
		label = "Recipe Doodads",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 2,
	},	
	
	{
		name = "iceblade_recipe_bluegems",
		label = "Recipe Blue Gems",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 1,
	},	

	{
		name = "icebladedmg",
		label = "Ice Blade DMG",
		options =
		{
			{description = "34 (Spear)", data = 34},
			{description = "42 (Battle Spear)", data = 42},
			{description = "47", data = 47},
			{description = "51 (Tentacle Spike)", data = 51},
			{description = "56", data = 56},
			{description = "59 (Thulecite club)", data = 59},
			{description = "68 (Dark Sword)", data = 68},
			{description = "75", data = 75},
			{description = "80", data = 80},
			{description = "85", data = 85},
			{description = "90", data = 90},
			{description = "95", data = 95},
			{description = "100", data = 100},
		},
		default = 42,
	},	
	
		{
		name = "icebladeduration",
		label = "Ice Blade Duration",
		options =
		{
			{description = "1 day", data = 1},
			{description = "2 days", data = 2},
			{description = "3 days", data = 3},
			{description = "4 days", data = 4},
			{description = "5 days", data = 5},
			{description = "6 days", data = 6},
			{description = "7 days", data = 7},
			{description = "8 days", data = 8},
			{description = "9 days", data = 9},
			{description = "10 days", data = 10},
		},
		default = 3,
	},	
	
			{
		name = "icebladefreezerate",
		label = "Freeze Effect",
		options =
		{
			{description = "No Freeze", data = 0},
			{description = "Low", data = 0.5},
			{description = "Normal (Ice Staff)", data = 1},
			{description = "More", data = 3},
			{description = "Instant", data = 5},
		},
		default = 0.5,
	},	
	
			  --Ice Blade settings END
	
				  --Gold Armor settings
	
			{
		name = "goldarmorswitch",
		label = "Gold Armor Enabled",
		options =
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		},
		default = true,
	},	
	
		{
		name = "goldarmor_recipe_nugget",
		label = "Recipe Gold Nuggets",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "11", data = 11},
			{description = "12", data = 12},
			{description = "13", data = 13},
			{description = "14", data = 14},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 12,
	},	
	
			{
		name = "goldarmor_recipe_rope",
		label = "Recipe Ropes",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "11", data = 11},
			{description = "12", data = 12},
			{description = "13", data = 13},
			{description = "14", data = 14},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 4,
	},	
	
			{
		name = "goldarmordurability",
		label = "Durability",
		options =
		{
			{description = "300", data = 300},
			{description = "350", data = 350},
			{description = "400", data = 400},
			{description = "450", data = 450},
			{description = "500", data = 500},
			{description = "550", data = 550},
			{description = "600", data = 600},
			{description = "650", data = 650},
			{description = "700", data = 700},
			{description = "750", data = 750},
			{description = "800", data = 800},
			{description = "850", data = 850},
			{description = "900", data = 900},
			{description = "950", data = 950},
			{description = "1000", data =1000},
			{description = "1050", data = 1050},
			{description = "1100", data = 1100},
			{description = "1150", data = 1150},
			{description = "1200", data = 1200},
			{description = "1250", data = 1250},
			{description = "1300", data = 1300},
		},
		default = 650,
	},	
	
				{
		name = "goldarmordefense",
		label = "Absorption",
		options =
		{
			{description = "40%", data = 0.4},
			{description = "45%", data = 0.45},
			{description = "50%", data = 0.5},
			{description = "55%", data = 0.55},
			{description = "60%", data = 0.6},
			{description = "65%", data = 0.65},
			{description = "70%", data = 0.7},
			{description = "75%", data = 0.75},
			{description = "80%", data = 0.8},
			{description = "85%", data = 0.85},
			{description = "90%", data = 0.9},
			{description = "95%", data = 0.95},
			{description = "100% +No Stunlock", data = 1},
		},
		default = 0.9,
	},	
	
					  --Gold Armor settings END
	
					  --Gold Helm settings
					  
					  			{
		name = "goldhelmswitch",
		label = "Gold Helm Enabled",
		options =
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		},
		default = true,
	},	
	
		{
		name = "goldhelm_recipe_nugget",
		label = "Recipe Gold Nuggets",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "11", data = 11},
			{description = "12", data = 12},
			{description = "13", data = 13},
			{description = "14", data = 14},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 6,
	},	
	
			{
		name = "goldhelm_recipe_rope",
		label = "Recipe Ropes",
		options =
		{
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "4", data = 4},
			{description = "5", data = 5},
			{description = "6", data = 6},
			{description = "7", data = 7},
			{description = "8", data = 8},
			{description = "9", data = 9},
			{description = "10", data = 10},
			{description = "11", data = 11},
			{description = "12", data = 12},
			{description = "13", data = 13},
			{description = "14", data = 14},
			{description = "15", data = 15},
			{description = "20", data = 20},
		},
		default = 2,
	},	
	
			{
		name = "goldhelmdurability",
		label = "Durability",
		options =
		{
			{description = "300", data = 300},
			{description = "350", data = 350},
			{description = "400", data = 400},
			{description = "450", data = 450},
			{description = "500", data = 500},
			{description = "550", data = 550},
			{description = "600", data = 600},
			{description = "650", data = 650},
			{description = "700", data = 700},
			{description = "750", data = 750},
			{description = "800", data = 800},
			{description = "850", data = 850},
			{description = "900", data = 900},
			{description = "950", data = 950},
			{description = "1000", data =1000},
			{description = "1050", data = 1050},
			{description = "1100", data = 1100},
			{description = "1150", data = 1150},
			{description = "1200", data = 1200},
			{description = "1250", data = 1250},
			{description = "1300", data = 1300},
		},
		default = 600,
	},	
	
				{
		name = "goldhelmdefense",
		label = "Absorption",
		options =
		{
			{description = "40%", data = 0.4},
			{description = "45%", data = 0.45},
			{description = "50%", data = 0.5},
			{description = "55%", data = 0.55},
			{description = "60%", data = 0.6},
			{description = "65%", data = 0.65},
			{description = "70%", data = 0.7},
			{description = "75%", data = 0.75},
			{description = "80%", data = 0.8},
			{description = "85%", data = 0.85},
			{description = "90%", data = 0.9},
			{description = "95%", data = 0.95},
			{description = "100% +No Stunlock", data = 1},
		},
		default = 0.85,
	},	
					  
					  					  --Gold Helm settings END
	}