PrefabFiles = {
	"houndsbite",
	"goldsword",
	"iceblade",
	"marblblade",
	"goldarmor",
	"goldhelm",
	"strongsword",
}

Assets = {
	Asset("ATLAS", "images/inventoryimages/goldarmor.xml"),
	Asset("ATLAS", "images/inventoryimages/goldhelm.xml"),
	Asset("ATLAS", "images/inventoryimages/goldsword.xml"),
	Asset("ATLAS", "images/inventoryimages/houndsbite.xml"),
	Asset("ATLAS", "images/inventoryimages/iceblade.xml"),
	Asset("ATLAS", "images/inventoryimages/marblblade.xml"),
	Asset("ATLAS", "images/inventoryimages/strongsword.xml"),
}

local TUNING = GLOBAL.TUNING
local SpawnPrefab = GLOBAL.SpawnPrefab
local DST = GLOBAL.TheSim and GLOBAL.TheSim:GetGameID()=="DST"
local ROG = DST or GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS)

GLOBAL.TUNING.GOLDSWORDDMG = GetModConfigData("goldsworddmg")
GLOBAL.TUNING.GOLDSWORDUSES = GetModConfigData("goldsworduses")

GLOBAL.TUNING.HOUNDMACEDMG = GetModConfigData("houndsbitedmg")
GLOBAL.TUNING.HOUNDMACEUSES = GetModConfigData("houndsbiteuses")

GLOBAL.TUNING.MARBLEBLADEDMG = GetModConfigData("marblebladedmg")
GLOBAL.TUNING.MARBLEBLADEUSES = GetModConfigData("marblebladeuses")

GLOBAL.TUNING.STRONGSWORDDMG = GetModConfigData("strongsworddmg")
GLOBAL.TUNING.STRONGSWORDUSES = GetModConfigData("strongsworduses")

GLOBAL.TUNING.ICEBLADEDMG = GetModConfigData("icebladedmg")
GLOBAL.TUNING.ICEBLADEDURATION = GetModConfigData("icebladeduration")
GLOBAL.TUNING.ICEBLADEFREEZEMODE = GetModConfigData("icebladefreeze")
GLOBAL.TUNING.ICEBLADEFREEZE = GetModConfigData("icebladefreezerate")

GLOBAL.TUNING.GOLDARMORDURABILITY = GetModConfigData("goldarmordurability")
GLOBAL.TUNING.GOLDARMORABSORB = GetModConfigData("goldarmordefense")

GLOBAL.TUNING.GOLDHELMDURABILITY = GetModConfigData("goldhelmdurability")
GLOBAL.TUNING.GOLDHELMABSORB = GetModConfigData("goldhelmdefense")

modimport("character_lines.lua")
modimport("recipe_list.lua")